
from xml.sax import parse, handler
import sys

# --- ContentHandler

class ExampleApp(handler.ContentHandler):
    
    def __init__(self):
        self._count = 0
        
    def startElement(self, name, attrs):
        self._count = self._count + 1
        
    def endDocument(self):
        print "There were", self._count, "elements."

# --- Main program
        
parse(sys.argv[1], ExampleApp())
