import sys
from xml.xslt.Processor import Processor

class TraceWriter:

    def text(self, text, escapeOutput=1):
        print "text('%s', %s)" % (text, escapeOutput)

    def attribute(self, name, value, namespace=''):
        print "attribute('%s', '%s', '%s')" % \
              (name, value, namespace)

    def processingInstruction(self, target, data):
        print "processingInstruction('%s', '%s')" % (target, data)

    def comment(self, body):
        print "comment('%s')" % body

    def startElement(self, name, namespace='', extraNss=None):
        print "startElement('%s', '%s', %s)" % \
              (name, namespace, extraNss)

    def endElement(self, name):
        print "endElement('%s')" % name

    def getResult(self):
        return None

proc = Processor()
proc.appendStylesheetUri(sys.argv[1])
print proc.runUri(sys.argv[2], 1, {}, TraceWriter())
