
import string
from xml.dom import Node

def make_xpath_expr(node, add_counts = 1):
    steps = []
    
    if node.nodeType == Node.ATTRIBUTE_NODE:
        steps.append("@" + node.nodeName)
    elif node.nodeType == Node.DOCUMENT_NODE:
        return "/"
    elif node.nodeType != Node.ELEMENT_NODE:
        node = node.parentNode

    while node.nodeType != Node.DOCUMENT_NODE:
        name = node.nodeName
        
        if add_counts:
            no = 0
            while node.previousSibling:
                if node.nodeName == name:
                    no = no + 1
                node = node.previousSibling

            steps.append("%s[%d]" % (name, no))
        else:
            steps.append(name)
        
        node = node.parentNode

    steps.reverse()

    return string.join(steps, " / ")
